# class Font

#### package lime.text

#### extended by Font

Available on all platforms

### Constructor

###

`new (?name:String)`

### Variables

###

`read onlyascender:Int`

###

`read onlydescender:Int`

###

`read onlyheight:Int`

###

`read onlyname:String`

###

`read onlynumGlyphs:Int`

###

`src:Dynamic`

###

`read onlyunderlinePosition:Int`

###

`read onlyunderlineThickness:Int`

###

`read onlyunitsPerEM:Int`

### Methods

###

`decompose ():NativeFontData`

###

`getGlyph (character:String):Glyph`

###

`getGlyphMetrics (glyph:Glyph):GlyphMetrics`

###

`getGlyphs (characters:String = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789!@#$%^`'\"/\\&*()[]{}<>|):Array<Glyph>`

###

`renderGlyph (glyph:Glyph, fontSize:Int):Image`

###

`renderGlyphs (glyphs:Array<Glyph>, fontSize:Int):Map<Glyph, Image>`

### Static methods

###

`staticfromBytes (bytes:Bytes):Font`

###

`staticfromFile (path:String):Font`

###

`staticloadFromBytes (bytes:Bytes):Future<Font>`

###

`staticloadFromFile (path:String):Future<Font>`

###

`staticloadFromName (path:String):Future<Font>`